const
	maxn = 100000000;
	maxg = 20000;

var
	n, m: int64;
	i, j: longint;
	g: array [0..maxn] of longint;
	u: array [0..maxg] of boolean;

function sq(x: int64): int64;
var
	r: int64;
begin
	r := round(sqrt(1.0 * x)) - 2;
	while (r + 1) * (r + 1) <= x do
		inc(r);
	sq := r;
end;

begin
	reset(input, 'nim.in');
	rewrite(output, 'nim.out');

	readln(n);
	g[0] := 0;
	for i := 1 to n do begin
		fillchar(u, sizeof(u), 0);
		m := sq(i);
		for j := i - m to i - 1 do begin
			u[g[j]] := true;
		end;
		for j := 0 to m do begin
			if not u[j] then begin
				g[i] := j;
				break;
			end;
		end;
	end;

	if (g[n] = 0) then begin
		writeln('LOSE');
	end else begin
		writeln('WIN');
	end;

	close(input);
	close(output);
end.